<?php
// +----------------------------------------------------------------------
// | mobanbox [ Beautiful Digital Content Trading System ]
// +----------------------------------------------------------------------
// | Copyright (c) 2015 http://mobanbox.net All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Email author@mobanbox.net
// +----------------------------------------------------------------------


_setView(__FILE__);
_setTitle($langArray['make_payment_setTitle']);




$usersClass = new users();

if(check_login_bool() && $_SESSION['user']['user_id'] != $users['user_id']) {
	$users['is_follow'] = $usersClass->isFollow($users['user_id']);
}

$users['profile_desc'] = replaceEmoticons($users['profile_desc']);

abr('user', $users);

abr('checkItemsType', 'yes');

if(check_login_bool() && ($username == '' || $username == $_SESSION['user']['username'])) {
	$username = $_SESSION['user']['username'];
	$whereQuery = " AND (`status` = 'active' OR `status` = 'unapproved' ) ";
}
else {
	$whereQuery = " AND `status` = 'active' ";
}
$user = $usersClass->getByUsername($username);
if(!is_array($user)) {
	header("HTTP/1.0 404 Not Found");
	header("Location: http://". DOMAIN ."/".$languageURL."error");
}
abr('user', $user);


$userss = $usersClass->getAll(0, 0, $itemsClass->usersWhere);
abr('userss', $userss);


#加载作品
require_once ROOT_PATH.'/apps/items/models/items.class.php';
$itemsClass = new items();

$limit = 8;
$start = (PAGE-1)*$limit;

$items = $itemsClass->getAll($start, $limit, " `user_id` = '".intval($user['user_id'])."' ".$whereQuery);
abr('items', $items);

abr('paging', paging('/'.$languageURL.'user/'.$username.'/?p=', '&sort_by='.$_GET['sort_by'].'&order='.$_GET['order'], PAGE, $limit, $itemsClass->foundRows));
$allRows = $itemsClass->foundRows;
abr('allRows',$allRows);

require_once ROOT_PATH.'/apps/items/models/orders.class.php';
$ordersClass = new orders();
//勋章
require_once ROOT_PATH.'/apps/system/models/badges.class.php';
$badges = new badges();

$badges_data = $badges->getAllFront();

$user = $_SESSION['user'];

$other_badges = array_map('trim', explode(',', $user['badges']));

$user_badges = array();

if($user['exclusive_author'] == 'true' && isset($badges_data['system']['is_exclusive_author'])) {
	if($badges_data['system']['is_exclusive_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['is_exclusive_author']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['is_exclusive_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['is_exclusive_author']['photo']
		);
	}
}

if($user['featured_author'] == 'true' && isset($badges_data['system']['has_been_featured'])) {
	if($badges_data['system']['has_been_featured']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_been_featured']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_been_featured']['photo']
		);
	}
}

if(isset($user['statuses']['freefile']) && $user['statuses']['freefile'] && isset($badges_data['system']['has_free_file_month'])) {
	if($badges_data['system']['has_free_file_month']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_free_file_month']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_free_file_month']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_free_file_month']['photo']
		);
	}
}

if(isset($user['statuses']['featured']) && $user['statuses']['featured'] && isset($badges_data['system']['has_had_item_featured'])) {
	if($badges_data['system']['has_free_file_month']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_had_item_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_had_item_featured']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_had_item_featured']['photo']
		);
	}
}

if($user['buy'] && isset($badges_data['buyers']) && is_array($badges_data['buyers'])) {
	foreach($badges_data['buyers'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['buy'] && $to >= $user['buy']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if($user['sold'] && isset($badges_data['authors']) && is_array($badges_data['authors'])) {
	foreach($badges_data['authors'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['sold'] && $to >= $user['sold']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if($user['referals'] && isset($badges_data['referrals']) && is_array($badges_data['referrals'])) {
	foreach($badges_data['referrals'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['referals'] && $to >= $user['referals']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if(isset($badges_data['other']) && is_array($badges_data['other'])) {
	foreach($badges_data['other'] AS $k => $b) {
		if(in_array($k, $other_badges) && $b['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $b['photo'])) {
			$user_badges[] = array(
				'name' => $b['name'],
				'photo' => '/uploads/badges/' . $b['photo']
			);
		}
	}
}

if(isset($user['country']['photo']) && $user['country']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/countries/" . $user['country']['photo'])) {
	$user_badges[] = array(
		'name' => $user['country']['name'],
		'photo' => '/uploads/countries/' . $user['country']['photo']
	);
} elseif(isset($badges_data['system']['location_global_community']) && $badges_data['system']['location_global_community']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['location_global_community']['photo'])) {
	$user_badges[] = array(
		'name' => $badges_data['system']['location_global_community']['name'],
		'photo' => '/uploads/badges/' . $badges_data['system']['location_global_community']['photo']
	);
}

if($user['power_elite_author'] == 'true' && isset($badges_data['system']['power_elite_author'])) {
	if($badges_data['system']['power_elite_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['power_elite_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['power_elite_author']['photo']
		);
	}
}

if($user['elite_author'] == 'true' && isset($badges_data['system']['elite_author'])) {
	if($badges_data['system']['elite_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['elite_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['elite_author']['photo']
		);
	}
}

abr('user_badges', $user_badges);


#获取粉丝
$follow['to'] = $usersClass->getFollowers($user['user_id'], 0, 9, 'RAND()', true);
$follow['to_count'] = $usersClass->foundRows;
$follow['from'] = $usersClass->getFollowers($user['user_id'], 0, 9, 'RAND()');
$follow['from_count'] = $usersClass->foundRows;
abr('follow', $follow);


$follow['toto'] = $usersClass->getFollowers($user['user_id'], 0, 10000000, 'RAND()', true);
$follow['toto_count'] = $usersClass->foundRows;
$follow['fromfrom'] = $usersClass->getFollowers($user['user_id'], 0, 10000000, 'RAND()');
$follow['fromfrom_count'] = $usersClass->foundRows;
abr('follow', $follow);


$deposit_id = 0;
if(isset($_SESSION['tmp']['deposit_id'])) {
	$deposit_id = (int)$_SESSION['tmp']['deposit_id'];
}

require_once ROOT_PATH.'/apps/users/models/deposit.class.php';

$cms = new deposit();

$deposit_info = $cms->get($deposit_id);
//充值信息
if($deposit_info) {

	$payments = glob(dirname(dirname(dirname(__FILE__))) . '/payments/controllers/*.php');

	$payments_data = array();

//充值方式
	if($payments) {
		$order_obj = array();
		$key = 'chinabank';
		require_once ROOT_PATH.'/apps/payments/models/' . $key . '.class.php';
		$order_obj[$key] = new $key();
		
		$payments_data[$key] = array(
				'title' => '网银在线',
				'description' => '网银在线订单支付',
				'form' => $order_obj[$key]->generateDepositForm($deposit_info),
				'logo' => '',
		);

		if($payments_data) {
			abr('payments_data', $payments_data);			
		} else {
			addErrorMessage($langArray['no_payment_methods'], '', 'error');
		}
		
	} else {
		addErrorMessage($langArray['no_payment_methods'], '', 'error');
	}
		
} else {
	addErrorMessage($langArray['deposit_is_expired'], '', 'error');
}